#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);

    int t = inf.readInt(1, 1e4, "t");
    inf.readEoln();
    int sizesSum = 0;
    while (t--) {
        int n = inf.readInt(2, 2e5, "n");
        ensuref(n % 2 == 0, "Number of participants must be even.");
        sizesSum += n;
        ensuref(sizesSum <= 2e5, "Sum of array sizes over all test cases must not exceed 200.000.");
        inf.readEoln();
        for (int i = 0; i < n; i++) {
            if (i != 0) inf.readSpace();
            inf.readInt(-1e9, 1e9, "ai");
        }
        inf.readEoln();
    }
    inf.readEof();

    return 0;
}